# $Revision: 1.12 $, $Date: 2011/10/29 15:14:23 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc

Summary:	Helper library for pcmanfm
Summary(pl.UTF-8):	Biblioteka pomocnicza do pcmanfm
Name:		libfm
Version:	0.1.17
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/pcmanfm/%{name}-%{version}.tar.gz
# Source0-md5:	a97e03d973e6ac727f28d0934d6c9ad5
Patch0:		%{name}-link.patch
URL:		http://pcmanfm.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.27.0
BuildRequires:	gtk+2-devel
%{?with_apidocs:BuildRequires:	gtk-doc}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	menu-cache-devel
BuildRequires:	pkgconfig
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	shared-mime-info
Requires:	glib2 >= 1:2.27.0
# in case someone want to split this package into smaller ones
Provides:	libfm-gtk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Helper library for pcmanfm.

%description -l pl.UTF-8
Biblioteka pomocnicza dla pcmanfm

%package devel
Summary:	Header files and libraries for libfm development
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libfm
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	libfm-gtk-devel

%description devel
This package contains the header files needed to develop programs that
use these libfm.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe potrzebne do rozwoju oprogramowania
korzystającego z libfm.

%package static
Summary:	Static library for libfm development
Summary(pl.UTF-8):	Biblioteka statyczna do libfm
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains the header files and libraries needed to develop
programs that use these libfm.

%description static -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe potrzebne do rozwoju oprogramowania
korzystającego z libfm.

%package apidocs
Summary:	LIBFM API documentation
Summary(pl.UTF-8):	Dokumentacja API LIBFM
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
LIBFM API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API LIBFM.

%prep
%setup -q
%patch0 -p1

# docs dir missing in tarball, but configure.ac references it
install -d docs/reference/libfm
touch docs/Makefile.in
touch docs/reference/Makefile.in
touch docs/reference/libfm/Makefile.in

%build
%configure \
	%{!?with_apidocs:--enable-gtk-doc=no} \
	%{?with_apidocs:--with-html-dir=%{_gtkdocdir}}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_DATA="install -p -m 644" \
	DESTDIR=$RPM_BUILD_ROOT

# pkg-config present, so drop .la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfm.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfm-gtk.la

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/tt_RU

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_mime_database

%postun
/sbin/ldconfig
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS TODO
%dir /etc/xdg/libfm
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/libfm/libfm.conf
%attr(755,root,root) %{_libdir}/libfm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfm.so.1
%{_datadir}/libfm
%{_datadir}/mime/packages/libfm.xml

# -gtk
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/libfm/pref-apps.conf
%attr(755,root,root) %{_bindir}/libfm-pref-apps
%attr(755,root,root) %{_libdir}/libfm-gtk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfm-gtk.so.1
%{_desktopdir}/libfm-pref-apps.desktop

%files devel
%defattr(644,root,root,755)
%{_includedir}/libfm
%{_libdir}/libfm-gtk.so
%{_libdir}/libfm.so
%{_pkgconfigdir}/libfm-gtk.pc
%{_pkgconfigdir}/libfm.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfm-gtk.a
%{_libdir}/libfm.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libfm
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libfm.spec,v $
Revision 1.12  2011/10/29 15:14:23  glen
- up to 0.1.17, add -apidocs package

Revision 1.11  2011/08/15 07:19:22  glen
- remove only when present

Revision 1.10  2011/08/14 12:58:42  glen
- drop invalid locale

Revision 1.9  2011/08/14 12:37:26  glen
- up to 0.1.16

Revision 1.8  2011/04/26 20:52:47  glen
- up to 0.1.15 git snap:
  - fixes copying files with spaces in it
  - gio module libgiofm.so dropped in favour of glib 2.27.0 x-scheme-handler/*
  - libfm/gnome-terminal dropped as it's no longer using g_app_info_launch

Revision 1.7  2011/04/26 20:34:19  glen
- bR glib2-devel, gtk-doc

Revision 1.6  2011/01/27 21:20:47  sparky
- BR: pkgconfig

Revision 1.5  2010/12/06 10:48:36  lisu
- updated to 0.1.14
- fix linking

Revision 1.4  2010/10/17 19:29:35  duddits
- pl desc

Revision 1.3  2010/07/31 22:42:36  charles
- BR: gettext-devel

Revision 1.2  2010/07/31 12:01:02  witekfl
- adapterized

Revision 1.1  2010/07/31 07:39:57  witekfl
- new

